Bug 204752 - [patch] sendmail wakes up every 5 seconds even when not busy
[patch] sendmail wakes up every 5 seconds even when not busy
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
bzcl34nup
: Reopened
Depends On:
Blocks: wakeup 418441
  Show dependency treegraph
 
Reported: 2006-08-31 09:07 EDT by Arjan van de Ven
Modified: 2008-05-06 20:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:47:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to sendmail to increase the timeout on idle (962 bytes, text/x-patch)
2006-08-31 09:07 EDT, Arjan van de Ven
no flags Details

  None (edit)
Description Arjan van de Ven 2006-08-31 09:07:58 EDT
Description of problem:

sendmail in FC wakes up every 5 seconds, even when it's totally unused/idle. (It
wakes up quicker if a signal comes in about actual mail).

The attached patch changes this so that it'll sleep for 30 seconds at a time if
it has been idle for 50 seconds continously.

This came up during the idle-tick work on the kernel, where we're trying to
remove any and all unneeded wakups of the system (first of all the timer
interrupt, but that is not enough; all of userland also has a wakeup rate of
about 30 per second so we're killing those off one at a time).
Comment 1 Arjan van de Ven 2006-08-31 09:07:58 EDT
Created attachment 135282 [details]
patch to sendmail to increase the timeout on idle
Comment 2 Thomas Woerner 2007-04-10 05:45:31 EDT
Sendmail upstream has rejected this patch:

"Then a signal will take up to 30s to have an effect. That doesn't
seem like a good idea."
Comment 3 Matthias Clasen 2007-04-10 06:09:09 EDT
If that is a concern, the usual pipe approach can be used to work around it, no ?
Comment 4 Arjan van de Ven 2007-04-10 12:31:27 EDT
also if they care they can use other mechanisms like sending a sighup etc etc.
Comment 5 Dave Jones 2007-05-14 16:29:59 EDT
One thing that sendmail seems to be doing over and over is re-reading /proc/loadavg
It does this to throttle itself if the system gets too busy.
There's no point in doing this however if the mail queue is empty.

The box I just tested this on recieves no mail, and sends just one per day
(logwatch), so this is just pointless work done billions of times a day, for
nothing.
Comment 6 Bug Zapper 2008-04-03 14:05:41 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 20:47:47 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.